package msdk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

const VERSION = "2024-06-25"

var HOST = requests.Host{
	Default: "msdk.api.gaore.com",
}

type Client struct {
	sdk.Client
}

func NewClient() (client *Client, err error) {
	client = &Client{}
	err = client.Init()
	return
}

// GetIdfa 获取设备归因信息
func (c *Client) GetIdfa(req *GetIdfaReq) (resp *GetIdfaResp, err error) {
	resp = &GetIdfaResp{
		BaseResponse: &responses.BaseResponse{},
	}
	if req.Imei == "" && req.Idfa != "" {
		req.Imei = req.Idfa
	}
	err = c.DoAction(req, resp)
	return
}

// GetUserAttr 获取用户归因信息
func (c *Client) GetUserAttr(req *GetUserAttrReq) (resp *GetUserAttrResp, err error) {
	resp = &GetUserAttrResp{
		BaseResponse: &responses.BaseResponse{},
	}
	err = c.DoAction(req, resp)
	return
}

// GetImei 用户注册归因
func (c *Client) GetImei(req *GetImeiReq) (resp *GetImeiResp, err error) {
	resp = &GetImeiResp{
		BaseResponse: &responses.BaseResponse{},
	}
	err = c.DoAction(req, resp)
	return
}

func (c *Client) SetImei(req *SetImeiReq) (resp *SetImeiResp, err error) {
	resp = &SetImeiResp{
		BaseResponse: &responses.BaseResponse{},
	}
	err = c.DoAction(req, resp)
	return
}
